import { Component, getAssetPath, h, Prop } from '@stencil/core';
import { none, toUndefined } from 'fp-ts/lib/Option';
import benefitsEventTrackingService from '../../../services/event-tracking.service';
export class HeroBanner {
  constructor() {
    this.shopifyUrl = none;
  }
  render() {
    return (h("div", { class: "card fl-card-background border-0 mb-4 py-0" },
      h("a", { target: "_blank", rel: "noopener noreferrer", href: toUndefined(this.shopifyUrl), class: "text-reset text-decoration-none", onClick: (_) => benefitsEventTrackingService.trackPageViewedAsync({ pageId: 'discounts' }) },
        h("div", { class: "card-body p-0" },
          h("div", { class: "row m-0" },
            h("div", { class: "col-12 col-lg-6 col-xl-7 px-3" },
              h("div", { class: "pl-lg-5 pl-2 pt-lg-4 pt-sm-0 pt-xs-0" },
                h("h1", { class: "font-weight-bold my-4" }, "Access exclusive discounts and vouchers."),
                h("p", { class: "mb-4" }, "Choose from leading retailers including Woolworths, JB Hi-Fi, Caltex and Hoyts Cinemas."),
                h("a", { target: "_blank", rel: "noopener noreferrer", class: "btn btn-light bg-white mb-4 px-3 py-2" },
                  h("h6", { class: "m-0" }, "Browse discounts")))),
            h("div", { class: "col-6 d-none d-lg-block col-xl-4 ml-auto overflow-hidden text-right p-0 rounded" },
              h("img", { src: getAssetPath('./assets/Hero_Background.png'), class: "fl-logo-container h-100" })))))));
  }
  static get is() { return "ap-ben-hero-banner"; }
  static get originalStyleUrls() { return {
    "$": ["hero-banner.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["hero-banner.css"]
  }; }
  static get assetsDirs() { return ["assets"]; }
  static get properties() { return {
    "shopifyUrl": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Option<string>",
        "resolved": "None | Some<string>",
        "references": {
          "Option": {
            "location": "import",
            "path": "fp-ts/lib/Option"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "defaultValue": "none"
    }
  }; }
}
